openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BDL_GENERATE_INCLUDES:
    post:
      tags:
      - BDL5
      summary: 'RFC download: Creates Includes to declare and fill Global Variables'
      operationId: /rfc/BDL_GENERATE_INCLUDES
      requestBody:
        content:
          application/json:
            schema:
              properties:
                CLUST_ID:
                  type: string
                  default: ' '
                  maxLength: 6
                  description: Clust_id to create include with interface data
                COMMON_NAME:
                  type: string
                  default: ' '
                  maxLength: 40
                  description: Name of common part
                COMMON_PART:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Data declaration as common part
                COPY_FORM_NAME:
                  type: string
                  default: BDLSACFO
                  maxLength: 40
                  description: Include with forms to copy Global Variables
                COPY_VAR_NAME:
                  type: string
                  default: BDLSACPY
                  maxLength: 40
                  description: Include which copies Global Variables
                DATCOL_TAB:
                  type: string
                  default: BDLDATCOL
                  maxLength: 30
                  description: Name of DB table for download data
                DEVCLASS:
                  type: string
                  default: BDL3
                  maxLength: 30
                  description: Development Class of generated includes
                DTOC_FIELD:
                  type: string
                  default: FUNCMOD
                  maxLength: 30
                  description: Field for selection
                DTOC_TAB:
                  type: string
                  default: BDLDTOC
                  maxLength: 30
                  description: Name of DB table which contains download data
                EXCEPT:
                  type: string
                  default: '%EXCEPTION'
                  maxLength: 30
                  description: Variable name for exceptions
                FILL_FORM_NAME:
                  type: string
                  default: BDLSAIFO
                  maxLength: 40
                  description: Include with forms to fill Global Variables
                FILL_VAR_NAME:
                  type: string
                  default: BDLSAIMP
                  maxLength: 40
                  description: Include which fills Global Variables
                IF_REL3_NAME:
                  type: string
                  default: IF
                  maxLength: 30
                  description: Name of interface includes in 3.* releases
                IF_REL4_NAME:
                  type: string
                  default: /1CAGTF/IF
                  maxLength: 30
                  description: Name of interface includes in releases >= 4.*
                KEY_TAB:
                  type: string
                  default: BDL_DATKEY
                  maxLength: 30
                  description: Key table for import from database
                OPTION:
                  type: string
                  default: ' '
                  maxLength: 30
                  description: To create different parts of declaration include
                POOL_NAME:
                  type: string
                  default: BDLSAIF
                  maxLength: 40
                  description: Include pool with data declaration of Global Var
                RELID:
                  type: string
                  default: DL
                  maxLength: 2
                  description: RELID in BDLDATCOL
                REPORT_NAME:
                  type: string
                  default: BDLMTEST
                  maxLength: 40
                  description: Name of test report
                RUNTIME:
                  type: string
                  default: '%RUNTIME'
                  maxLength: 30
                  description: Variable name for runtime
                SESSION:
                  type: object
                  properties:
                    SESSIONNR:
                      type: string
                      maxLength: 10
                      description: Character Field Length = 10
                    MANDANT:
                      type: string
                      maxLength: 3
                      description: 3-Byte field
                    INSTALL_NO:
                      type: integer
                      format: int64
                      description: 10 digit number
                    SID:
                      type: string
                      maxLength: 8
                      description: Name of the SAP System
                    CUST_NO:
                      type: integer
                      format: int64
                      description: 10 digit number
                    CONTRACT:
                      type: string
                      maxLength: 8
                      description: Contract type
                    DESCRIPTIO:
                      type: string
                      maxLength: 8
                      description: Session subtype
                    FUNCMOD:
                      type: string
                      maxLength: 6
                      description: Character field of length 6
                    HOST:
                      type: string
                      maxLength: 32
                      description: Character field, length 32
                    INSTANCE:
                      type: string
                      maxLength: 2
                      description: Version Number Component
                    SEQNO:
                      type: integer
                      format: int64
                      description: Sequence number
                    CONTEXT:
                      type: string
                      maxLength: 20
                      description: Context
                    TYPE:
                      type: string
                      maxLength: 1
                      description: Single-Character Flag
                    DATUM:
                      type: string
                      format: date
                      description: Current Date of Application Server
                    UHRZEIT:
                      type: string
                      maxLength: 6
                      description: Current Time of Application Server
                    CODEPAGE:
                      type: integer
                      format: int64
                      description: SAP Character Set ID
                SYNTAX_CHECK:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Status of object
                WHENS_PER_CASE:
                  type: integer
                  format: int32
                  default: 4
                  description: Internal table, current line index
      responses:
        '200':
          description: OK
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
